$darkmode

| Qore WebUtil Module Reference 1.6.2

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WebUtil::InputStreamRequest Class Reference

this class handles chunked file sends More...

Inheritance diagram for WebUtil::InputStreamRequest:
[legend]

## Public Member Functions
| constructor (HttpServer::HttpListenerInterface listener, HttpServer::AbstractHttpRequestHandler handler, Qore::Socket s, hash< auto > cx, hash< auto > hdr, *data body, InputStream stream, int chunk_size, *hash< auto > respHdr)
| creates the object

## Protected Member Functions
hash< HttpResponseInfo > | getResponseHeaderMessageImpl ()
| returns the reponse headers
auto | sendImpl ()
| returns data to send

## Protected Attributes
int | cs
| chunk size
*hash< auto > | respHdr
| response headers
InputStream | stream
| input stream object

## Detailed Description

this class handles chunked file sends